Package org.apache.struts2.interceptor

# Class I18nInterceptor.CookieLocaleHandler

java.lang.Object
org.apache.struts2.interceptor.I18nInterceptor.RequestLocaleHandler
org.apache.struts2.interceptor.I18nInterceptor.AcceptLanguageLocaleHandler
org.apache.struts2.interceptor.I18nInterceptor.CookieLocaleHandler

All Implemented Interfaces:
  `I18nInterceptor.LocaleHandler`

Enclosing class:
  I18nInterceptor

protected class I18nInterceptor.CookieLocaleHandler extends I18nInterceptor.AcceptLanguageLocaleHandler

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.interceptor.I18nInterceptor.RequestLocaleHandler

  `actionInvocation, shouldStore`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CookieLocaleHandler(ActionInvocation invocation)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Locale`
  `find()`
  `Locale`
  `read(ActionInvocation invocation)`
  `Locale`
  `store(ActionInvocation invocation, Locale locale)`

  ### Methods inherited from class org.apache.struts2.interceptor.I18nInterceptor.RequestLocaleHandler

  `shouldStore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CookieLocaleHandler

    protected CookieLocaleHandler(ActionInvocation invocation)

- ## Method Details

  - ### find

    public Locale find()
    Specified by:
      `find` in interface `I18nInterceptor.LocaleHandler`
    Overrides:
      `find` in class `I18nInterceptor.AcceptLanguageLocaleHandler`

  - ### store

    public Locale store(ActionInvocation invocation, Locale locale)
    Specified by:
      `store` in interface `I18nInterceptor.LocaleHandler`
    Overrides:
      `store` in class `I18nInterceptor.RequestLocaleHandler`

  - ### read

    public Locale read(ActionInvocation invocation)
    Specified by:
      `read` in interface `I18nInterceptor.LocaleHandler`
    Overrides:
      `read` in class `I18nInterceptor.RequestLocaleHandler`